Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
[Java] Class AntProjectPropertiesDelegate

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              org.codehaus.groovy.ant.AntProjectPropertiesDelegate

    public class AntProjectPropertiesDelegate
    extends Hashtable

Authors:
  Guillaume Laforge

Constructor Summary
`AntProjectPropertiesDelegate(Project project)`
`AntProjectPropertiesDelegate(Map t)`

Method Summary
`void` | `clear()` throws: UnsupportedOperationException is always thrown when this method is invoked.
`Object` | `clone()`
`boolean` | `contains(Object value)`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`Enumeration` | `elements()`
`Set` | `entrySet()`
`boolean` | `equals(Object o)`
`Object` | `get(Object key)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`Set` | `keySet()`
`Enumeration` | `keys()`
`Object` | `put(Object key, Object value)`
`void` | `putAll(Map t)`
`Object` | `remove(Object key)` throws: UnsupportedOperationException is always thrown when this method is invoked.
`int` | `size()`
`String` | `toString()`
`Collection` | `values()`

Methods inherited from class Hashtable
get, put, equals, toString, values, hashCode, clone, clear, contains, isEmpty, size, entrySet, putAll, remove, elements, keySet, keys, containsKey, containsValue, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class Dictionary
get, put, isEmpty, size, remove, elements, keys, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### AntProjectPropertiesDelegate

    public AntProjectPropertiesDelegate(Project project)

### AntProjectPropertiesDelegate

    public AntProjectPropertiesDelegate(Map t)

Method Detail

### clear

    public void clear()

  throws:
    UnsupportedOperationException is always thrown when this method is invoked. The Project properties are immutable.

### clone

    public Object clone()

### contains

    public boolean contains(Object value)

### containsKey

    public boolean containsKey(Object key)

### containsValue

    public boolean containsValue(Object value)

### elements

    public Enumeration elements()

### entrySet

    public Set entrySet()

### equals

    public boolean equals(Object o)

### get

    public Object get(Object key)

### hashCode

    public int hashCode()

### isEmpty

    public boolean isEmpty()

### keySet

    public Set keySet()

### keys

    public Enumeration keys()

### put

    public Object put(Object key, Object value)

### putAll

    public void putAll(Map t)

### remove

    public Object remove(Object key)

  throws:
    UnsupportedOperationException is always thrown when this method is invoked. The Project properties are immutable.

### size

    public int size()

### toString

    public String toString()

### values

    public Collection values()

Copyright © 2003-2010 The Codehaus. All rights reserved.